﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

using System.Data;
using System.Collections.ObjectModel;

namespace WpfTestApplication
{
    /// <summary>
    /// MainWindow.xaml の相互作用ロジック
    /// </summary>
    public partial class MainWindow : Window
    {
        private ObservableCollection<string> items = new ObservableCollection<string>();

        public MainWindow()
        {
            InitializeComponent();

            for (int i = 0; i < 5; ++i)
            {
                items.Add("アイテム" + Convert.ToString(i));
            }

            this.listBox1.ItemsSource = this.items;
        }

        private void button_Up_Click(object sender, RoutedEventArgs e)
        {
            int pos = this.listBox1.SelectedIndex;
            if (pos < (0 + 1) || (this.listBox1.Items.Count - 1) < pos)
                return;

            string tmp = this.items[pos - 1];
            this.items[pos - 1] = this.items[pos];
            this.items[pos] = tmp;
            this.listBox1.SelectedIndex = pos - 1;
        }

        private void button_Down_Click(object sender, RoutedEventArgs e)
        {
            int pos = this.listBox1.SelectedIndex;
            if (pos < 0 || (this.listBox1.Items.Count - 1) <= pos)
                return;

            string tmp = this.items[pos + 1];
            this.items[pos + 1] = this.items[pos];
            this.items[pos] = tmp;
            this.listBox1.SelectedIndex = pos + 1;
        }
    }
}
